Skip to navigation

Indicate a customer action has been taken

Request

Decision details
bookingIdstringOptional
Identifies the overall booking purchased for customer experience. For airline travel this is often referred to as the PNR.
businessUnitstringOptional
Country where products are eligible to be sold.
paymentCurrencyTypestringOptionalDefaults to

Three digit ISO type of the currency that is/was used to purchase the product by the customer, same as currencyType if currency is the same as in optimization request

credentialsobjectOptional
Partner Credentials
currencyTypestringOptional

Three digit ISO type of the currency of the prices provided in the details (same as quoted currency)

cxidstringOptional

Customer Experience ID. Populated by JS where applicable (from Cookie or offerstate).

detailslist of objectsOptional
distributorCodestringOptional
The partner code assigned by Allianz. Populated by JS where applicable.
exchangeRatedoubleOptionalDefaults to 1

exchange rate from base currency to view/payment currency

localTsdatetimeOptional
Local timestamp. Populated by JS where applicable.
locationCodestringOptional
Code of the location on the partners's site where the decision was made.
partnerobjectOptional
Partner Information
paymentTermsstringOptional
Depends on the product, not applicable for most of the travel products.
purchaseIdstringOptional
An ID assigned by the fulfillment system that processed the purchase.
purchaseTypestringOptional
Transaction type for the purchase sent from USPG, i.e. cancellation.
requestOriginPagestringOptional
The specific page that sent this request.
responseIdstringOptional

The ID returned in the /optimizations response that identifies the last quote that was received.

responseReasonstringOptional

deprecated - Reason for the specific type of response: not rendered, invalid, timeout, etc. Currently used by Widget partners.

responseTypeenumOptional

This is the overall type of action for the decision (purchase, accept, cancellation, etc.).

Allowed values:
sessionIdstringOptional
Session Id that Allianz receives in the quote request. Allows Allianz to track duplicate requests within same visitor session. Supports identification of duplicates in analytical activities. If partner does not send this, the JS will populate it from the cookies.
transactionIdstringOptional
Available for Partner to send a unique ID with their quote request which will flow through the entire transaction. Allianz will return it in their response and the partner can send it back with the purchase request. If partner does not send this, the JS will populate it from the cookies.
treatmentCodestringOptional

Allianz id for treatment (treatment needs to be defined for external usage - see response schema as well). Currently used for AWP.

Response

Success